Skip to main content
GET
Get configured Vault Forward endpoints
This endpoint requires the vault-forward-configs.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

config_id
string<uuid>
required

The ID of the Vault Forward configuration.

Example:

"46973e9d-88a7-44a6-abfe-be4ff0134ff4"

Response

Returns the Vault Forward configuration.

A configured Vault Forward configuration.

type
string
default:vault-forward-config

The type of this resource. It is always vault-forward-config.

Example:

"vault-forward-config"

id
string<uuid>

The ID of this Vault Forward configuration.

Example:

"faaad066-30b4-4997-a438-242b0752d7e1"

created_at
string<date-time>

The date and time when this configuration was created.

Example:

"2012-12-12T10:53:43+00:00"

updated_at
string<date-time>

The date and time when this configuration was last updated.

Example:

"2012-12-12T10:53:43+00:00"

merchant_account_id
string

The unique ID for a merchant account.

Example:

"default"

definition_id
string

The ID of the Vault Forward definition.

Example:

"amadeus"

display_name
string

The display name for this configuration.

Example:

"Amadeus"

hosts
string[]

The hosts where Vault Forward requests are allowed for this definition.

Minimum array length: 1
Example:
authentications
A Vault Forward authentication method · object[]

Authentication methods that can be applied in Vault Forward requests.

creator
object | null

The user who created the Vault Forward configuration.